# TRTCNetworkQosParam class Null safety

Network bandwidth limit parameters

The settings determine the bandwidth limit practices of the SDK in various network conditions (e.g., whether to "ensure definition" or "ensure smoothness" on a weak network).

## Constructors

TRTCNetworkQosParam({int preference = 2, int controlMode = 1})

## Properties

controlMode ↔ int
  Field description: video resolution (on-cloud control/client-based control)
  read / write
hashCode → int
  The hash code for this object.
  read-only, inherited
preference ↔ int
  Field description: whether to "ensure definition" or "ensure smoothness" on a weak network
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited